"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = (req, res) => __awaiter(void 0, void 0, void 0, function* () {
    const { Draft } = req.ctx;
    const id = Draft.ID_REG.test(req.params.id) && req.params.id;
    if (!id) {
        res.status(400).send({ error: 'Missing or incorrect draft id' });
        return;
    }
    const draft = yield Draft.query().where({ id }).first();
    if (!draft) {
        res.status(404).send({ error: 'Draft not found' });
        return;
    }
    if (draft.userId !== req.userInfo.id) {
        res.status(403).send({ error: 'Authorization required' });
        return;
    }
    const result = yield Draft.query().where({ id }).first().delete().returning('id');
    res.send(result);
});
//# sourceMappingURL=delete.js.map