"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = (req, res) => __awaiter(void 0, void 0, void 0, function* () {
    const { wiki } = req.query;
    try {
        if (!wiki) {
            res.status(400).send('Wiki name is required');
            return;
        }
        const tags = yield req.ctx.Tag.query().where({ branchName: wiki });
        res.send(tags.map((t) => t.name).sort((one, another) => one.localeCompare(another)));
    }
    catch (error) {
        res.status(500).send('Unhandled internal error, incident reported');
        req.ctx.reportError('Unhandled error', error);
    }
});
//# sourceMappingURL=tags-list.js.map