"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.executeTask = void 0;
const TASK_NAME_REG = /^[a-zA-Z0-9-]+$/;
function executeTask(ctx, task, args, exitAfter = false) {
    return __awaiter(this, void 0, void 0, function* () {
        if (!TASK_NAME_REG.test(task)) {
            throw new Error(`Incorrect task name "${task}"`);
        }
        // eslint-disable-next-line security/detect-non-literal-require, global-require, @typescript-eslint/no-var-requires
        yield require(`../../tasks/${task}`).run.apply({}, [ctx, ...args]);
        if (exitAfter) {
            process.nextTick(() => process.exit());
        }
    });
}
exports.executeTask = executeTask;
//# sourceMappingURL=executer.js.map