"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __exportStar = (this && this.__exportStar) || function(m, exports) {
    for (var p in m) if (p !== "default" && !exports.hasOwnProperty(p)) __createBinding(exports, m, p);
};
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.runWorker = void 0;
const pg_boss_1 = require("./pg-boss");
const executer_1 = require("./executer");
__exportStar(require("./pg-boss"), exports);
__exportStar(require("./executer"), exports);
__exportStar(require("./scheduler"), exports);
let workerCtx;
function taskRunner(job) {
    const ctx = workerCtx.create(job.data.task, {
        task: job.data.task,
        args: job.data.args.join(', '),
    });
    return executer_1.executeTask(ctx, job.data.task, job.data.args).catch((error) => {
        ctx.reportError('Error during task processing', error);
    });
}
function runWorker(appCtx) {
    return __awaiter(this, void 0, void 0, function* () {
        const ctx = (workerCtx = appCtx.create('worker'));
        ctx.log('Initiating worker process');
        yield pg_boss_1.bossReady;
        pg_boss_1.boss.on('error', (error) => {
            ctx.reportError('Error during task processing', error);
        });
        for (const queue of appCtx.config.queues) {
            ctx.log(`Starting queue "${queue.name}" with concurrency of ${queue.concurrency}`);
            yield pg_boss_1.boss.subscribe(queue.name, {
                teamSize: queue.concurrency,
                teamConcurrency: queue.concurrency,
            }, taskRunner);
        }
        ctx.log('Worker initiated');
    });
}
exports.runWorker = runWorker;
//# sourceMappingURL=index.js.map