"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.branchResolverMiddleware = void 0;
function branchResolverMiddleware(req, res, next) {
    return __awaiter(this, void 0, void 0, function* () {
        const { Branch } = req.ctx;
        const host = req.get('host');
        try {
            const branch = yield Branch.query().select().where({ host }).first();
            if (branch) {
                req.branch = branch;
                next();
                return;
            }
            else {
                req.ctx.log(`Unknown branch for host "${host}"`);
                res.status(400).send('Unknown branch');
                return;
            }
        }
        catch (error) {
            req.ctx.reportError('Unhandled error during branch resolving', error);
            res.status(500).send('Internal server error (branch resolving failure)');
        }
    });
}
exports.branchResolverMiddleware = branchResolverMiddleware;
//# sourceMappingURL=branch-resolver.js.map