"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.userClearanceMiddleware = void 0;
const constants_1 = require("../../shared/constants");
function userClearanceMiddleware(req, res, next) {
    req.routeInfo.clearance = req.routeInfo.clearance || constants_1.ClearanceLevel.Guest;
    if (req.routeInfo.clearance === constants_1.ClearanceLevel.User) {
        if (req.userInfo) {
            next();
            return;
        }
        else {
            res.status(401).send({ error: 'Authentication required' });
            return;
        }
    }
    else {
        next();
        return;
    }
}
exports.userClearanceMiddleware = userClearanceMiddleware;
//# sourceMappingURL=user-clearance.js.map