"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.userResolverMiddleware = void 0;
function userResolverMiddleware(req, res, next) {
    const userId = req.user && req.user.id;
    const { User } = req.ctx;
    if (!userId) {
        next();
        return;
    }
    User.query()
        .select('*')
        .where({ id: userId })
        .first()
        .then((user) => {
        if (user) {
            req.userInfo = user;
        }
        next();
    })
        .catch((error) => {
        req.ctx.reportError('Unhandled error during branch resolving', error);
        res.status(500).send('Internal server error');
    });
}
exports.userResolverMiddleware = userResolverMiddleware;
//# sourceMappingURL=user-resolver.js.map