"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Branch = void 0;
const _1 = require(".");
class Branch extends _1.Model {
    importPages(ctx) {
        return __awaiter(this, void 0, void 0, function* () {
            const cx = ctx.create('Branch.importPages');
            cx.log(`Performing pages import for wiki ${this.name}`);
            const pagesList = yield ctx.wk.fetchPagesList(this.name);
            const tasks = pagesList.map((pageName) => ({
                task: 'page-import',
                args: [this.name, pageName],
            }));
            yield cx.batchedEnqueue(tasks, 'import');
        });
    }
}
exports.Branch = Branch;
Branch.tableName = 'branches';
Branch.idColumn = 'name';
Branch.relationMappings = {
    members: {
        relation: _1.Model.ManyToManyRelation,
        modelClass: 'user',
        join: {
            from: 'branches.name',
            through: {
                from: 'user_memberships.branch_name',
                to: 'user_memberships.user_id',
            },
            to: 'users.id',
        },
    },
};
//# sourceMappingURL=branch.js.map