"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Page = void 0;
const _1 = require(".");
class Page extends _1.Model {
}
exports.Page = Page;
Page.tableName = 'pages';
Page.relationMappings = {
    branch: {
        relation: _1.Model.BelongsToOneRelation,
        modelClass: 'branch',
        join: {
            from: 'pages.branchName',
            to: 'branches.name',
        },
    },
    tags: {
        relation: _1.Model.ManyToManyRelation,
        modelClass: 'tag',
        join: {
            from: 'pages.id',
            through: {
                from: 'pages_tags.pageId',
                to: 'pages_tags.tagId',
            },
            to: 'tags.id',
        },
    },
    votes: {
        relation: _1.Model.HasManyRelation,
        modelClass: 'vote',
        join: {
            from: 'pages.id',
            to: 'votes.pageId',
        },
    },
    createdBy: {
        relation: _1.Model.HasOneRelation,
        modelClass: 'user',
        join: {
            from: 'pages.createdById',
            to: 'users.id',
        },
    },
    updatedBy: {
        relation: _1.Model.HasOneRelation,
        modelClass: 'user',
        join: {
            from: 'pages.updatedById',
            to: 'users.id',
        },
    },
    currentRevision: {
        relation: _1.Model.HasOneRelation,
        modelClass: 'page-revision',
        join: {
            from: 'pages.currentRevisionId',
            to: 'page_revisions.id',
        },
    },
    revisions: {
        relation: _1.Model.HasOneRelation,
        modelClass: 'page-revision',
        join: {
            from: 'pages.id',
            to: 'page_revisions.pageId',
        },
    },
};
//# sourceMappingURL=page.js.map