"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Tag = void 0;
const _1 = require(".");
class Tag extends _1.Model {
}
exports.Tag = Tag;
Tag.tableName = 'tags';
Tag.relationMappings = {
    branch: {
        relation: _1.Model.BelongsToOneRelation,
        modelClass: 'branch',
        join: {
            from: 'pages.wikiName',
            to: 'branches.name',
        },
    },
    pages: {
        relation: _1.Model.ManyToManyRelation,
        modelClass: 'page',
        join: {
            from: 'tags.id',
            through: {
                from: 'pages_tags.tagId',
                to: 'pages_tags.pageId',
            },
            to: 'pages.id',
            extra: ['pages.title'],
        },
    },
};
//# sourceMappingURL=tag.js.map