"use strict";
var __awaiter =
    (this && this.__awaiter) ||
    function (thisArg, _arguments, P, generator) {
        function adopt(value) {
            return value instanceof P
                ? value
                : new P(function (resolve) {
                      resolve(value);
                  });
        }
        return new (P || (P = Promise))(function (resolve, reject) {
            function fulfilled(value) {
                try {
                    step(generator.next(value));
                } catch (e) {
                    reject(e);
                }
            }
            function rejected(value) {
                try {
                    step(generator["throw"](value));
                } catch (e) {
                    reject(e);
                }
            }
            function step(result) {
                result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected);
            }
            step((generator = generator.apply(thisArg, _arguments || [])).next());
        });
    };
Object.defineProperty(exports, "__esModule", { value: true });
exports.User = void 0;
const _1 = require(".");
class User extends _1.Model {
    static upsert(tx, user) {
        var _a;
        user.displayUsername = user.username;
        user.username = (_a = user.username) === null || _a === void 0 ? void 0 : _a.toLowerCase();
        const insert = tx(User.tableName).insert(user);
        const update = tx.queryBuilder().update(user);
        return Promise.resolve(
            // eslint-disable-next-line @typescript-eslint/no-explicit-any
            tx.raw("? ON CONFLICT (wikidot_uid) DO ? returning *", [insert, update]).get("rows").get(0).id
        );
    }
    static findOrCreateByGoogleId(googleId) {
        return __awaiter(this, void 0, void 0, function* () {
            const existingUser = yield User.query().select("*").where({ googleId }).first();
            if (existingUser) {
                return existingUser.id;
            }
            const newUser = yield User.query().insert({
                googleId,
            });
            return newUser.id;
        });
    }
}
exports.User = User;
User.tableName = "users";
//# sourceMappingURL=user copy.js.map
