"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getRandomPageName = exports.getRenderedPage = void 0;
const renderer_1 = __importDefault(require("../renderer"));
function getRenderedPage(ctx, wikiName, pageName) {
    return __awaiter(this, void 0, void 0, function* () {
        const page = yield ctx.Page.query()
            .findOne({ branchName: wikiName, name: pageName })
            .withGraphJoined('currentRevision');
        if (!page) {
            return null;
        }
        const renderedContent = renderer_1.default({ name: pageName }, page.currentRevision.content);
        const wkPage = {
            wikiName,
            name: pageName,
            title: page.currentRevision.title,
            content: renderedContent,
            rating: 0,
            tags: [],
        };
        return wkPage;
    });
}
exports.getRenderedPage = getRenderedPage;
function getRandomPageName(ctx, branchName) {
    return __awaiter(this, void 0, void 0, function* () {
        const page = yield ctx.Page.query().where({ branchName }).orderBy(ctx.db.raw('random()')).limit(1).first();
        return page.name;
    });
}
exports.getRandomPageName = getRandomPageName;
//# sourceMappingURL=pages.service.js.map