'use strict';

exports.up = (knex) =>
    knex.raw(`
    CREATE TABLE page_comments (
        id              BIGINT          PRIMARY KEY     DEFAULT get_id(),
        page_id         BIGINT          NOT NULL        REFERENCES pages(id) ON DELETE CASCADE,
        wikidot_id      INTEGER         NOT NULL,
        reply_to_id     INTEGER,
        title           TEXT            NOT NULL,
        content         TEXT            NOT NULL,
        html            TEXT,
        created_at      TIMESTAMPTZ     NOT NULL        DEFAULT now(),
        created_by      TEXT
    );

    CREATE INDEX page_comments_page_id_idx
        ON page_comments (page_id);
    CREATE INDEX page_comments_wikidot_id_idx
        ON page_comments (wikidot_id);
`);

exports.down = (knex) =>
    knex.raw(`
    DROP TABLE page_comments;
`);
